Bug 185584 - New Web Application Stack Channels
New Web Application Stack Channels
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Vlady Zlatkin
Depends On:
Blocks: 82114
  Show dependency treegraph
Reported: 2006-03-15 18:04 EST by Matt Webbink
Modified: 2007-04-18 13:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-25 10:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Web Application Stack Channel Mappings (540 bytes, text/x-comma-separated-values)
2006-03-21 13:39 EST, Matt Webbink
no flags Details

  None (edit)
Description Matt Webbink 2006-03-15 18:04:06 EST
Please create the new channel families "rhel-webapp" and "rhel-webapp-beta", per
revision # 79659 of developer-channels.csv for the new Web Application Stack

The Web Application Stack is intended for developers that want a standard and
certified LAMP platform.

The new channels need to be in WebQA by Monday morning (03/20/06).
Comment 1 Bret McMillan 2006-03-17 16:13:14 EST
channels & cfam's created on webqa, access granted to rhel-admin account.
Comment 2 Greg Nichols 2006-03-20 14:09:45 EST
Please ad access to the account qa@redhat.com
Comment 3 Bret McMillan 2006-03-21 12:30:23 EST
qa@redhat.com has been granted 10 slots to each channel family.

Please note these have been granted directly, w/out the use of a service.  If
there has been a product/service sku generated that will provide these channel
families, please let me know what it is so I can grant you entitlements from that.  

This will be a blocker for these channels to go to production.
Comment 4 Matt Webbink 2006-03-21 13:39:17 EST
Created attachment 126416 [details]
Web Application Stack Channel Mappings

The developer-mappings.csv is attached.  Please add the channel mappings to
SVC0242, SVC0243, SVC0244, and WAR0305.

I tried committing this file via svn, but received the following warning: 
REMOTE HOST IDENTIFICATION HAS CHANGED!  Could someone from RHN help me resolve
this problem.
Comment 5 Bret McMillan 2006-03-21 17:27:24 EST
Matt, just call me sometime during the day tomorrow and I'll walk you through
how to fix it.  We updated the machine that serves svn, and you're seeing a
security precaution from ssh.  It's easy to fix.
Comment 6 Matt Webbink 2006-03-23 16:03:17 EST
The developer-mappings.csv has now been committed via svn (revision # 87436).
Comment 7 Bret McMillan 2006-03-29 15:29:32 EST
mappings should now be on webqa.
Comment 8 James Slagle 2006-04-07 17:17:16 EDT
re-applied to webqa after the refresh

python ~/scripts/create-channel.py --csv=developer-channels.csv --verbose
--db=<db connect string> --create-family --commit

perl ~/scripts/grant-channel-family.pl --login=rhel-admin
--channel_family=rhel-webapp --max_members=100 --dsn=<db connect string>
--days=1000 --force
perl ~/scripts/grant-channel-family.pl --login=rhel-admin
--channel_family=rhel-webapp-beta --max_members=100 --dsn=<db connect string>
--days=1000 --force
Comment 9 James Slagle 2006-04-09 13:06:17 EDT
I've re-applied the developer-mappings.csv to QA.  I also see that these 3
mappings file reference the webapp channel families as well:


Do we also need to run these on QA?
Comment 10 Matt Webbink 2006-04-10 13:40:47 EDT
Yes - Please run these in QA, as well.
Comment 11 James Slagle 2006-04-11 14:55:05 EDT
applied the mappings to qa for :


SQL> l
  1  select count(*), last_poll
  2  from rhnEntitlementQueue, rhndaemonstate
  3  where label = 'repoll_customer_entitlement'
  4* group by last_poll
SQL> /

---------- ----------------------
     95708 2006-04-10 01:51:54 PM

Will probably be done re-polling in around 10 hours
Comment 12 Aaron Darcy 2006-04-12 14:21:24 EDT
Question 1: I no longer see the Web Application Stack channels on RHN QA, is
this due to the re-polling process?

Question 2: When will the Web Application Stack Beta v1 channel be live in RHN prod?
Comment 13 James Slagle 2006-04-12 14:37:36 EDT
You probably couldn't see them b/c we had QA refreshed from production earlier
this week.  I added access back to login qa@redhat.com.
Comment 14 James Slagle 2006-04-13 10:27:57 EDT
everything has been re-polled in qa, please verify.
Comment 15 Aaron Darcy 2006-04-13 11:03:59 EDT
I can see the Web Application Stack channels (v1 beta and v1). However I don't
see that packages under the beta channel. Given all of the changes in RHN QA
lately, I take it we need to re-push the packages.

Also, I do not see the ISO channels for the Web Application Stack (v1 beta & v1).
Comment 16 Dennis Gregorovic 2006-04-13 12:05:30 EDT
Beta packages and ISOs repushed to RHN QA.
Comment 17 Bret McMillan 2006-04-13 15:29:53 EDT
I've modified the channel & mapping files in svn to disable the non-beta channel
since that's not supposed to go out today.

We'll want to run this against stage since these were applied to webqa together
instead of separately.

Waiting on the go-ahead from either QA or Aaron Darcy to proceed with the push
to stage, and then push to prod if the stage push looks fine.
Comment 18 Aaron Darcy 2006-04-14 08:50:36 EDT
QA has singed off. We are good to go. Please let us know when the channel is
live and the entitlement script has been kicked off in prod so that we can push
the packages to the channel. Thanks.
Comment 19 Bret McMillan 2006-04-14 09:57:14 EDT
Prod ops will respond vi RT when this is complete, I'll make sure you're cc'ed
on the ticket.
Comment 20 Bret McMillan 2006-04-25 10:08:54 EDT
This should be out there as of a week or so ago.

Note You need to log in before you can comment on or make changes to this bug.